using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FiltronASP.Models.DAO.Interfaces.Filtron
{
    public interface IFiltronFilterEngineCommentsDAO : IGenericDAO<FiltronFilterEngineComment, System.Nullable<int>>
    {
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineId(int filterEngineId);
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineIdOnlyDescription(int filterEngineId);
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineIdAndDate(int filterEngineId, string infoYears);
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineIdOnlyDate(int filterEngineId);
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineIdAndDesc(int filterEngineId, string description);
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineIdDescAndYear(int filterEngineId);
        IQueryable<FiltronFilterEngineComment> FindByFilterEngineIdAndDescOnly(int filterEngineId, string description);
    }
}
